Package org.apache.sysds.runtime.ooc.cache.io

# Interface SpillableObject

All Known Implementing Classes:
  `IndexedMatrixValue`, `PackedBlock`

public interface SpillableObject

## Method Summary

Modifier and Type
Method
Description
`default void`
`discard()`
`void`
`read(DataInput in)`
`boolean`
`tryWrite(DataOutput out)`

## Method Details

### tryWrite

boolean tryWrite(DataOutput out) throws IOException

Throws:
  `IOException`

### read

void read(DataInput in) throws IOException

Throws:
  `IOException`

### discard

default void discard()